
/***************************************************************************
*   Copyright (C) 2004 by Christoph Thielecke                             *
*   crissi99@gmx.de                                                       *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/


#include <qcheckbox.h>
#include <klineedit.h>
#include <kcombobox.h>
#include <qspinbox.h>
#include <qpushbutton.h>
#include "advancedsettingsdialog.h"

AdvancedSettingsDialog::AdvancedSettingsDialog()
		: AdvancedProfileSettingsDialogBase() {

	this->buttonHelp->hide();

	LocalPortCheckbox->setEnabled( false );
	IkeGroupCheckbox->setEnabled( false );
	PerfectForwardSecrecyCombobox->setEnabled( false );
	SingleDesCheckbox->setEnabled( false );
	NtDomainNameCheckbox->setEnabled( false );
	LocalPortSpinbox->setEnabled( false );
	ApplicationVersionLineedit->setEnabled( false );
	NtDomainNameLineedit->setEnabled( false );
	PerfectForwardSecurityCheckbox->setEnabled( false );
	IkeGroupCombobox->setEnabled( false );
	ApplicationVersionCheckbox->setEnabled( false );

	IkeGroupCombobox->insertItem( "dh1", 0 );
	IkeGroupCombobox->insertItem( "dh2", 1 );
	IkeGroupCombobox->insertItem( "dh5", 2 );

	PerfectForwardSecrecyCombobox->insertItem( "server", 0 );
	PerfectForwardSecrecyCombobox->insertItem( "nopfs", 1 );
	PerfectForwardSecrecyCombobox->insertItem( "dh1", 2 );
	PerfectForwardSecrecyCombobox->insertItem( "dh2", 3 );
	PerfectForwardSecrecyCombobox->insertItem( "dh5", 4 );

	ApplicationVersionLineedit->setText( "Cisco Systems VPN Client 0.2-rm+zomb.1:Linux" );


}


AdvancedSettingsDialog::~AdvancedSettingsDialog() {}


void AdvancedSettingsDialog::advancedSettingsToggled() {
	if ( this->AdvancedSettingsCheckbox->isChecked() ) {
		LocalPortCheckbox->setEnabled( true );
		IkeGroupCheckbox->setEnabled( true );
		SingleDesCheckbox->setEnabled( true );
		NtDomainNameCheckbox->setEnabled( true );
		PerfectForwardSecurityCheckbox->setEnabled( true );
		ApplicationVersionCheckbox->setEnabled( true );
		UseGlobalIpsecSecretCheckbox->setEnabled( true );
	} else {
		LocalPortCheckbox->setEnabled( false );
		IkeGroupCheckbox->setEnabled( false );
		PerfectForwardSecrecyCombobox->setEnabled( false );
		SingleDesCheckbox->setEnabled( false );
		NtDomainNameCheckbox->setEnabled( false );
		LocalPortSpinbox->setEnabled( false );
		ApplicationVersionLineedit->setEnabled( false );
		NtDomainNameLineedit->setEnabled( false );
		PerfectForwardSecurityCheckbox->setEnabled( false );
		IkeGroupCombobox->setEnabled( false );
		ApplicationVersionCheckbox->setEnabled( false );
		UseGlobalIpsecSecretCheckbox->setEnabled( false );
	}

}

void AdvancedSettingsDialog::domainNameToggled() {
	if ( this->NtDomainNameCheckbox->isChecked() )
		this->NtDomainNameLineedit->setEnabled( true );
	else
		this->NtDomainNameLineedit->setEnabled( false );
}

void AdvancedSettingsDialog::applicationVersionToggled() {
	if ( this->ApplicationVersionCheckbox->isChecked() )
		this->ApplicationVersionLineedit->setEnabled( true );
	else
		this->ApplicationVersionLineedit->setEnabled( false );
}

void AdvancedSettingsDialog::IkeGroupToggled() {
	if ( this->IkeGroupCheckbox->isChecked() )
		this->IkeGroupCombobox->setEnabled( true );
	else
		this->IkeGroupCombobox->setEnabled( false );
}

void AdvancedSettingsDialog::perfectForwardSecurityToggled() {
	if ( this->PerfectForwardSecurityCheckbox->isChecked() )
		this->PerfectForwardSecrecyCombobox->setEnabled( true );
	else
		this->PerfectForwardSecrecyCombobox->setEnabled( false );
}

void AdvancedSettingsDialog::singleDesToggled() {}

void AdvancedSettingsDialog::helpClicked() {}

void AdvancedSettingsDialog::localPortToggled() {
	if ( this->LocalPortCheckbox->isChecked() )
		this->LocalPortSpinbox->setEnabled( true );
	else
		this->LocalPortSpinbox->setEnabled( false );
}
