/***************************************************************************
*   Copyright (C) 2004 by Christoph Thielecke                             *
*   crissi99@gmx.de                                                       *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/
#include "vpnaccountdata.h"

VpnAccountData::VpnAccountData( QString Name, QString Gateway, QString ID,
                                QString GroupPassword, QString Username,
                                QString UserPassword, bool saveUserPassword,
                                bool saveGroupPassword, QString ApplicationVersion, int LocalPort, QString NtDomainName, QString PerfectForwardSecrecy, QString IkeGroup, bool useApplicationVersion, bool useGlobalIpsecSecret, bool useIkeGroup, bool useLocalPort, bool useNtDomainName, bool useSingleDes, bool useAdvancedSettings, bool usePerfectSecrecy ) {
	this->Name = Name;
	this->Gateway = Gateway;
	this->ID = ID;
	this->GroupPassword = GroupPassword;
	this->Username = Username;
	this->UserPassword = UserPassword;
	this->saveUserPassword = saveUserPassword;
	this->saveGroupPassword = saveGroupPassword;
	this->useAdvancedSettings = useAdvancedSettings;
	this->LocalPort = LocalPort;
	this->IkeGroup = IkeGroup;
	this->PerfectForwardSecrecy = PerfectForwardSecrecy;
	this->useSingleDes = useSingleDes;
	this->NtDomainName = NtDomainName;
	this->ApplicationVersion = ApplicationVersion;
	this->useIkeGroup = useIkeGroup;
	this->usePerfectForwardSecrety = usePerfectForwardSecrety;
	this->useNtDomainName = useNtDomainName;
	this->useApplicationVersion = useApplicationVersion;
	this->useLocalPort = useLocalPort;
	this->useSingleDes = useSingleDes;
	this->useGlobalIpsecSecret =useGlobalIpsecSecret;
	this->usePerfectForwardSecrety = usePerfectSecrecy;
}


VpnAccountData::~VpnAccountData() {}

QString VpnAccountData::getName() {
	return Name;
}
QString VpnAccountData::getGateway() {
	return Gateway;
}

QString VpnAccountData::getID() {
	return ID;
}

QString VpnAccountData::getGroupPassword() {
	return GroupPassword;
}

QString VpnAccountData::getUserName() {
	return Username;
}

QString VpnAccountData::getUserPassword() {
	return UserPassword;
}

bool VpnAccountData::getSaveUserPassword() {
	return saveUserPassword;
}

bool VpnAccountData::getSaveGroupPassword() {
	return saveGroupPassword;
}

QString VpnAccountData::getIkeGroup() {
	return IkeGroup;
}

QString VpnAccountData::getPerfectForwardSecrety() {
	return PerfectForwardSecrecy;
}

QString VpnAccountData::getNtDomainName() {
	return NtDomainName;
}

QString VpnAccountData::getApplicationVersion() {
	return ApplicationVersion;
}


bool VpnAccountData::getUseSingleDes() {
	return useSingleDes;

}

bool VpnAccountData::getUseIkeGroup(){
    return useIkeGroup;
}

bool VpnAccountData::getUsePerfectForwardSecrety(){
    return usePerfectForwardSecrety;
}

bool VpnAccountData::getUseNtDomainName(){
    return useNtDomainName;
}

bool VpnAccountData::getUseApplicationVersion(){
    return useApplicationVersion;
}
bool VpnAccountData::getUseLocalPort(){
    return useLocalPort;
}

bool VpnAccountData::getUseAdvancedSettings() {
	return useAdvancedSettings;
}

bool VpnAccountData::getUseGlobalIpsecSecret(){
	return useGlobalIpsecSecret;
}

int VpnAccountData::getLocalPort() {
	return LocalPort;
}



void VpnAccountData::setName( QString Name ) {
	this->Name = Name;
}
void VpnAccountData::setGateway( QString Gateway ) {
	this->Gateway = Gateway;
}
void VpnAccountData::setID( QString ID ) {
	this->ID = ID;
}

void VpnAccountData::setGroupPassword( QString GroupPassword ) {
	this->GroupPassword = GroupPassword;
}

void VpnAccountData::setUserName( QString Username ) {
	this->Username = Username;
}

void VpnAccountData::setUserPassword( QString UserPassword ) {
	this->UserPassword = UserPassword;
}

void VpnAccountData::setSaveUserPassword( bool saveUserPassword ) {
	this->saveUserPassword = saveUserPassword;
}

void VpnAccountData::setSaveGroupPassword( bool saveGroupPassword ) {
	this->saveGroupPassword = saveGroupPassword;
}

void VpnAccountData::setIkeGroup( QString IkeGroup ) {
	this->IkeGroup = IkeGroup;
}

void VpnAccountData::setPerfectForwardSecrety( QString PerfectForwardSecrecy ) {
	this->PerfectForwardSecrecy = PerfectForwardSecrecy;
}

void VpnAccountData::setNtDomainName( QString Name ) {
	this->NtDomainName = Name;
}

void VpnAccountData::setApplicationVersion( QString version ) {
	this->ApplicationVersion = version;
}

void VpnAccountData::setUseSingleDes( bool useSingleDes ) {
	this->useSingleDes = useSingleDes;
}

void VpnAccountData::setUseIkeGroup( bool useIkeGroup ) {
	this->useIkeGroup = useIkeGroup;
}

void VpnAccountData::setUsePerfectForwardSecrety( bool usePerfectForwardSecrety ) {
	this->usePerfectForwardSecrety = usePerfectForwardSecrety;
}

void VpnAccountData::setUseNtDomainName( bool useNtDomainName ) {
	this->useNtDomainName = useNtDomainName;
}

void VpnAccountData::setUseApplicationVersion( bool useApplicationVersion ) {
	this->useApplicationVersion = useApplicationVersion;
}

void VpnAccountData::setUseLocalPort( bool useLocalPort ) {
	this->useLocalPort = useLocalPort;
}

void VpnAccountData::setUseAdvancedSettings( bool useAdvancedSettings ) {
	this->useAdvancedSettings = useAdvancedSettings;
}

void VpnAccountData::setUseGlobalIpsecSecret(bool useGlobalIpsecSecret){
	this->useGlobalIpsecSecret = useGlobalIpsecSecret;
}

void VpnAccountData::setLocalPort( int port ) {
	this->LocalPort = port;
}
